## vite 1.0+svn834

=== documentation/technical_manual/Makefile ===
SRC = 	technical_manual.tex \
	tokensource.tex \
	interface.tex \
	render.tex \
	Line.tex \
	Definition.tex \
	ParserDefinitionDecoder.tex \
	ParserPaje.tex

DOC =	technical_manual

.PHONY	= clean cleanout cleanall

default	: $(DOC).pdf

$(DOC).pdf :  $(DOC).dvi
	dvipdf $(DOC).dvi

$(DOC).dvi :  $(SRC)
	latex $(DOC).tex
	latex $(DOC).tex
	latex $(DOC).tex

clean :
	rm -f *~ *.aux *.log *.toc *.out

cleanout :
	rm -f $(DOC).dvi $(DOC).pdf

cleanall : clean cleanout

=== tests/interface/Makefile ===
#############################################################################
# Makefile for building: test_area
# Generated by qmake (2.01a) (Qt 4.4.0) on: sam. mai 2 20:54:48 2009
# Project:  interface.pro
# Template: app
# Command: /usr/bin/qmake -unix CONFIG+=debug_and_release -o Makefile interface.pro
#############################################################################

first: debug
install: debug-install
uninstall: debug-uninstall
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		debug \
		release

debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall
release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall

Makefile: interface.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/debug_and_release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/uitools.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtOpenGL.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtUiTools.prl
	$(QMAKE) -unix CONFIG+=debug_and_release -o Makefile interface.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/debug_and_release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/uitools.prf:
/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtOpenGL.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtUiTools.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -unix CONFIG+=debug_and_release -o Makefile interface.pro

qmake_all: FORCE

make_default: debug-make_default release-make_default FORCE
make_first: debug-make_first release-make_first FORCE
all: debug-all release-all FORCE
clean: debug-clean release-clean FORCE
distclean: debug-distclean release-distclean FORCE
	-$(DEL_FILE) Makefile

test_svg:

debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
mocclean: debug-mocclean release-mocclean

debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
mocables: debug-mocables release-mocables
FORCE:

$(MAKEFILE).Debug: Makefile
$(MAKEFILE).Release: Makefile

## vite 1.1

=== CMakeLists.txt ===
PROJECT(VITE CXX C)

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

IF(COMMAND CMAKE_POLICY)
  # CMP0003: add the link paths to the link command as with cmake 2.4
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND CMAKE_POLICY)

FIND_PACKAGE(Qt4
  COMPONENTS QtCore  QtGui QtXml REQUIRED)
SET(QT_USE_QTUITOOLS ON)
SET(QT_USE_QTOPENGL ON)
INCLUDE(${QT_USE_FILE})

OPTION(VITE_ENABLE_VBO "Enable the support of VBO." OFF)
IF(VITE_ENABLE_VBO)
  INCLUDE(cmake/FindGLEW.cmake)
ENDIF(VITE_ENABLE_VBO)

OPTION(VITE_ENABLE_OTF "Enable the support of OTF file format." OFF)
IF(VITE_ENABLE_OTF)
  INCLUDE(cmake/FindOTF.cmake)
ENDIF(VITE_ENABLE_OTF)


SUBDIRS(src)

=== src/CMakeLists.txt ===
#
# This file is part of the ViTE project.
#
# This software is governed by the CeCILL-A license under French law
# and abiding by the rules of distribution of free software. You can
# use, modify and/or redistribute the software under the terms of the
# CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
# URL: "http://www.cecill.info".
#
# As a counterpart to the access to the source code and rights to copy,
# modify and redistribute granted by the license, users are provided
# only with a limited warranty and the software's author, the holder of
# the economic rights, and the successive licensors have only limited
# liability.
#
# In this respect, the user's attention is drawn to the risks associated
# with loading, using, modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also
# therefore means that it is reserved for developers and experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards
# their requirements in conditions enabling the security of their
# systems and/or data to be ensured and, more generally, to use and
# operate it in the same conditions as regards security.
#
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL-A license and that you accept its terms.
#
# ViTE developers are (for version 0.* to 1.0):
#
#        - COULOMB Kevin
#        - FAVERGE Mathieu
#        - JAZEIX Johnny
#        - LAGRASSE Olivier
#        - MARCOUEILLE Jule
#        - NOISETTE Pascal
#        - REDONDY Arthur
#        - VUCHENER Clment
#        - (RICHART Nicolas)
#
#

SET(VITE_HDRS
  common/common.hpp
  common/Message.hpp
  common/Errors.hpp
  common/Tools.hpp
  common/info.hpp
  common/Session.hpp
  common/trace.h
  common/Memory.hpp
  # Data structure headers
  trace/values/Color.hpp
  trace/values/Date.hpp
  trace/values/Double.hpp
  trace/values/Hex.hpp
  trace/values/Integer.hpp
  trace/values/Name.hpp
  trace/values/String.hpp
  trace/values/Value.hpp
  trace/values/Values.hpp
  trace/tree/BinaryTree.hpp
  trace/tree/Node.hpp
  trace/tree/Interval.hpp
  trace/ContainerType.hpp
  trace/EntityType.hpp
  trace/EventType.hpp
  trace/StateType.hpp
  trace/LinkType.hpp
  trace/VariableType.hpp
  trace/EntityTypes.hpp
  trace/EntityValue.hpp
  trace/Container.hpp
  trace/Entity.hpp
  trace/Event.hpp
  trace/State.hpp
  trace/StateChange.hpp
  trace/Link.hpp
  trace/Entitys.hpp
  trace/Variable.hpp
  trace/DrawTrace.hpp
  trace/DrawTree.hpp
  trace/Trace.hpp
  # Render headers
  render/Render.hpp
  render/Geometry.hpp
  render/Hook_event.hpp
  render/Render_opengl.hpp
  render/Render_svg.hpp
  render/render_stats.hpp
  render/render_stats_opengl.hpp
  render/render_stats_svg.hpp
  render/Ruler.hpp
  # Interface headers
  interface/resource.hpp
  interface/parsing_thread.hpp
  interface/Interface.hpp
  interface/Interface_graphic.hpp
  # Core header
  core/Core.hpp
  # Parser headers
  parser/Definition.hpp
  parser/Line.hpp
  parser/Parser.hpp
  parser/ParserDefinitionPaje.hpp
  parser/ParserEventPaje.hpp
  parser/ParserPaje.hpp
  parser/ParserVite.hpp
  parser/File.hpp
  # Statistics headers
  statistics/Stats_window.hpp
  statistics/Statistic.hpp
  statistics/DrawStats.hpp
  statistics/DrawVDiagram.hpp
  statistics/DrawHDiagram.hpp
  statistics/DrawCounter.hpp
  # Plugin header
  plugin/Command_window.hpp
)

SET(VITE_UIS
  interface/info_window.ui
  interface/main_window.ui
  interface/option_export_window.ui
  interface/stats_viewer.ui
  interface/global_cmd.ui
  interface/list_of_counter_to_export.ui
)

SET(VITE_SRCS
  # Messages & Errors 
  common/Message.cpp
  common/Errors.cpp
  common/Tools.cpp
  common/info.cpp
  common/Session.cpp
  common/Memory.cpp
  # Data structure code files
  trace/values/Color.cpp
  trace/values/Date.cpp
  trace/values/Double.cpp
  trace/values/Hex.cpp
  trace/values/Integer.cpp
  trace/values/Name.cpp
  trace/values/String.cpp
  trace/tree/Interval.cpp
  trace/EntityValue.cpp
  trace/ContainerType.cpp
  trace/EntityType.cpp
  trace/EventType.cpp
  trace/StateType.cpp
  trace/LinkType.cpp
  trace/VariableType.cpp
  trace/Entity.cpp
  trace/Event.cpp
  trace/State.cpp
  trace/StateChange.cpp
  trace/Link.cpp
  trace/Variable.cpp
  trace/Container.cpp
  trace/Trace.cpp
  # Render code files
  render/Geometry.cpp
  render/Hook_event.cpp
  render/Render.hpp
  render/Render_opengl.cpp
  render/Render_svg.cpp
  render/render_stats_opengl.cpp
  render/render_stats_svg.cpp
  render/Ruler.cpp

  # Parser code files
  parser/Definition.cpp
  parser/Line.cpp
  parser/File.cpp
  parser/ParserDefinitionPaje.cpp
  parser/ParserEventPaje.cpp
  parser/ParserPaje.cpp
  parser/ParserVite.cpp
  # Statistics code files
  statistics/Statistic.cpp
  statistics/Stats_window.cpp
  # Interface code files
  interface/parsing_thread.cpp
  interface/Interface_graphic.cpp
  # Plugin code file
  plugin/Command_window.cpp
  # Core code files
  core/Core.cpp
  # Main
  main.cpp
  )

SET(VITE_RCCS
  interface/vite.qrc
  )

IF(VITE_ENABLE_VBO)
  ADD_DEFINITIONS(-DWITH_VBO)

  SET(VITE_HDRS
    ${VITE_HDRS}
    render/vbo.hpp
    render/Render_alternate.hpp
    )

  SET(VITE_SRCS
    ${VITE_SRCS}
    render/vbo.cpp
    render/Render_alternate.cpp
    )  
ENDIF(VITE_ENABLE_VBO)



IF(VITE_ENABLE_OTF)
  ADD_DEFINITIONS(-DWITH_OTF)

  SET(VITE_HDRS
    ${VITE_HDRS}
    parser/ParserDefinitionOTF.hpp
    parser/ParserEventOTF.hpp
    parser/ParserOTF.hpp
    )

  SET(VITE_SRCS
    ${VITE_SRCS}
    parser/ParserDefinitionOTF.cpp
    parser/ParserEventOTF.cpp
    parser/ParserOTF.cpp
    )

  INCLUDE_DIRECTORIES(${OTF_INCLUDE_DIR})

ENDIF(VITE_ENABLE_OTF)

# ADD_DEFINITIONS(-DMEMORY_USAGE -DMEMORY_TRACE)

QT4_AUTOMOC(${VITE_SRCS})
FOREACH(_hdrs_file ${VITE_HDRS})
  GET_FILENAME_COMPONENT(_abs_file ${_hdrs_file} ABSOLUTE)
  FILE(READ ${_abs_file} _contents)
  STRING(REGEX MATCHALL "Q_OBJECT" _match "${_contents}")
  IF(_match)
    SET(VITE_MOC_HDRS ${VITE_MOC_HDRS} ${_hdrs_file})
  ENDIF(_match)
ENDFOREACH(_hdrs_file ${VITE_HDRS})

QT4_WRAP_UI(VITE_UIS_H ${VITE_UIS})
QT4_WRAP_CPP(VITE_MOC ${VITE_UIS_H} ${VITE_MOC_HDRS})
QT4_ADD_RESOURCES(VITE_RCC_SRCS ${VITE_RCCS})

ADD_DEFINITIONS(-DQT_NO_DEBUG)

INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

ADD_EXECUTABLE(vite ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
TARGET_LINK_LIBRARIES(vite
  ${QT_LIBRARIES}
#  ${GLUT_LIBRARIES}
  )

IF(VITE_ENABLE_VBO)
  TARGET_LINK_LIBRARIES(vite
    ${GLEW_LIBRARY}
    )
ENDIF(VITE_ENABLE_VBO)

IF(VITE_ENABLE_OTF)
  TARGET_LINK_LIBRARIES(vite
    ${OTF_LIBRARY}
    )
ENDIF(VITE_ENABLE_OTF)

INSTALL_TARGETS(/bin vite)

=== documentation/technical_manual/Makefile ===
--- 
+++ 
@@ -1,11 +1,14 @@
 SRC = 	technical_manual.tex \
-	tokensource.tex \
+	convention.tex \
+	DataStructure.tex \
+	introduction.tex \
 	interface.tex \
 	render.tex \
-	Line.tex \
-	Definition.tex \
-	ParserDefinitionDecoder.tex \
-	ParserPaje.tex
+	render_svg.tex \
+	ParserOTF.tex \
+	ParserViTE.tex \
+	ParserPaje.tex \
+	statistic.tex
 
 DOC =	technical_manual

=== documentation/user_manual/Makefile ===
SRC = 	authors.tex \
	how_to_use.tex \
	introduction.tex \
	user_manual.tex \
	FAQ.tex \
	shortcuts.tex

DOC =	user_manual

.PHONY	= clean cleanout cleanall

default	: $(DOC).pdf

$(DOC).pdf :  $(DOC).dvi
	dvipdf $(DOC).dvi

$(DOC).dvi :  $(SRC)
	latex $(DOC).tex
	latex $(DOC).tex
	latex $(DOC).tex

clean :
	$(RM) *~ *.aux *.log *.toc *.dvi *.pdf *.out

cleanout :
	$(RM) $(DOC).dvi $(DOC).pdf

cleanall : clean cleanout

=== tests/interface/Makefile ===
#############################################################################
# Makefile for building: test_area
# Generated by qmake (2.01a) (Qt 4.4.0) on: ven. juil. 24 21:20:55 2009
# Project:  interface.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile interface.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DTEST_SVG_MODE -DQT_XML_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I/usr/X11R6/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,--no-undefined
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lglut -lGLEW -lQtXml -lQtOpenGL -lQtGui -lQtCore -lQtUiTools -lGLU -lGL -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../bin/

####### Files

SOURCES       = test_area.cpp \
		../../src/message/Message.cpp \
		../../src/render/Render_opengl.cpp \
		../../src/render/render_svg.cpp moc_Render_opengl.cpp
OBJECTS       = ../../bin/test_area.o \
		../../bin/Message.o \
		../../bin/Render_opengl.o \
		../../bin/render_svg.o \
		../../bin/moc_Render_opengl.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/uitools.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		interface.pro
QMAKE_TARGET  = test_area
DESTDIR       = 
TARGET        = test_area

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: interface.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/uitools.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtOpenGL.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtUiTools.prl
	$(QMAKE) -unix -o Makefile interface.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/uitools.prf:
/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtOpenGL.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtUiTools.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile interface.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../bin/test_area1.0.0 || $(MKDIR) ../../bin/test_area1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../bin/test_area1.0.0/ && $(COPY_FILE) --parents resource_test.hpp test_area.hpp ../../src/main_resource.hpp ../../src/message/Message.hpp ../../src/interface/interface.hpp ../../src/interface/resource.hpp ../../src/render/Render_opengl.hpp ../../src/render/render.hpp ../../src/render/render_svg.hpp ../../bin/test_area1.0.0/ && $(COPY_FILE) --parents test_area.cpp ../../src/message/Message.cpp ../../src/render/Render_opengl.cpp ../../src/render/render_svg.cpp ../../bin/test_area1.0.0/ && (cd `dirname ../../bin/test_area1.0.0` && $(TAR) test_area1.0.0.tar test_area1.0.0 && $(COMPRESS) test_area1.0.0.tar) && $(MOVE) `dirname ../../bin/test_area1.0.0`/test_area1.0.0.tar.gz . && $(DEL_FILE) -r ../../bin/test_area1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


test_svg:

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_Render_opengl.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_Render_opengl.cpp
moc_Render_opengl.cpp: ../../src/render/render.hpp \
		../../src/render/resource.hpp \
		../../src/render/Render_area.hpp \
		../../src/render/Render_opengl.hpp
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../../src/render/Render_opengl.hpp -o moc_Render_opengl.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

../../bin/test_area.o: test_area.cpp test_area.hpp \
		resource_test.hpp \
		../../src/main_resource.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../bin/test_area.o test_area.cpp

../../bin/Message.o: ../../src/message/Message.cpp ../../src/message/Message.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../bin/Message.o ../../src/message/Message.cpp

../../bin/Render_opengl.o: ../../src/render/Render_opengl.cpp ../../src/render/Render_area.hpp \
		../../src/render/resource.hpp \
		../../src/render/Render_opengl.hpp \
		../../src/render/render.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../bin/Render_opengl.o ../../src/render/Render_opengl.cpp

../../bin/render_svg.o: ../../src/render/render_svg.cpp ../../src/render/render_svg.hpp \
		../../src/render/render.hpp \
		../../src/render/resource.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../bin/render_svg.o ../../src/render/render_svg.cpp

../../bin/moc_Render_opengl.o: moc_Render_opengl.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../bin/moc_Render_opengl.o moc_Render_opengl.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== tests/parser/Makefile ===

CXX=g++
CXXFLAGS = -W -Wall -g
BIN_DIR = ../../bin/
SRC_DIR = ../../src/parser/

OBJECT_FILE_BIN = $(BIN_DIR)Line.o $(BIN_DIR)TokenSource.o $(BIN_DIR)ParserDefinitionDecoder.o $(BIN_DIR)Message.o $(BIN_DIR)Errors.o $(BIN_DIR)Definition.o $(BIN_DIR)ParserEventDecoder.o $(BIN_DIR)ParserPaje.o $(BIN_DIR)Trace.o $(BIN_DIR)Color.o $(BIN_DIR)Date.o $(BIN_DIR)Double.o $(BIN_DIR)Integer.o $(BIN_DIR)Hex.o $(BIN_DIR)Name.o $(BIN_DIR)String.o

OBJECT_FILE = Line.o ParserDefinitionDecoder.o TokenSource.o Definition.o ParserEventDecoder.o ParserPaje.o Trace.o Color.o Date.o Double.o Integer.o Hex.o Name.o String.o

TEST_FLAGS = -DVITE_DEBUG

## Qt include path
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4
## Qt libs
LIBS          = -L/usr/lib -L/usr/X11R6/lib -lglut -lGLEW -lQtXml -lQtOpenGL -lQtGui -lQtCore -lQtUiTools -lGLU -lGL -lpthread



# Making
all:	make_src test_token test_ligne test_parser_definition test_parser_evenement test_parser_paje

# All the source files is compiled
make_src:  Message.o Errors.o $(OBJECT_FILE)

test_token:		test_token.cpp
		$(CXX) $(CXXFLAGS) $< -o $@ $(TEST_FLAGS) $(INCPATH) $(BIN_DIR)TokenSource.o $(BIN_DIR)Message.o $(BIN_DIR)Errors.o

test_ligne:	test_ligne.cpp
		$(CXX) $(CXXFLAGS) $< -o $@ $(TEST_FLAGS) $(INCPATH) $(BIN_DIR)Line.o $(BIN_DIR)TokenSource.o $(BIN_DIR)Message.o $(BIN_DIR)Errors.o

test_parser_definition:		test_parser_definition.cpp
		$(CXX) $(CXXFLAGS) $< -o $@ $(OBJECT_FILE_BIN) $(TEST_FLAGS) $(INCPATH)

test_parser_evenement:	test_parser_event.cpp
		$(CXX) $(CXXFLAGS) $< -o $@ $(OBJECT_FILE_BIN) $(TEST_FLAGS) $(INCPATH)


%.o:$(SRC_DIR)%.cpp $(SRC_DIR)%.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)

Message.o:  ../../src/message/Message.cpp  ../../src/message/Message.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)

Trace.o:  ../stubs/Trace.cpp  ../stubs/Trace.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)
Color.o: ../stubs/Color.cpp ../stubs/Color.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)

Date.o: ../stubs/Date.cpp ../stubs/Date.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)

Double.o: ../stubs/Double.cpp ../stubs/Double.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)

Integer.o: ../stubs/Integer.cpp ../stubs/Integer.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)

Hex.o: ../stubs/Hex.cpp ../stubs/Hex.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)

Name.o: ../stubs/Name.cpp ../stubs/Name.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)

String.o: ../stubs/String.cpp ../stubs/String.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)


Errors.o:  ../stubs/Errors.cpp  ../stubs/Errors.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)


test_parser_paje:		test_parser_paje.cpp
		$(CXX) $(CXXFLAGS) $< -o $@ $(OBJECT_FILE_BIN) $(TEST_FLAGS) $(INCPATH)

clean:	
		$(RM) $(BIN_DIR)*.o *.*~ Makefile~

distclean:	clean
		$(RM) test_token test_ligne test_parser_definition test_parser_evenement test_parser_paje

## vite 1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,10 +18,14 @@
   INCLUDE(cmake/FindGLEW.cmake)
 ENDIF(VITE_ENABLE_VBO)
 
-OPTION(VITE_ENABLE_OTF "Enable the support of OTF file format." OFF)
+OPTION(VITE_ENABLE_OTF "Enable the support of OTF file format." ON)
 IF(VITE_ENABLE_OTF)
   INCLUDE(cmake/FindOTF.cmake)
 ENDIF(VITE_ENABLE_OTF)
 
+OPTION(VITE_ENABLE_TAU "Enable the support of TAU file format." ON)
+IF(VITE_ENABLE_TAU)
+  INCLUDE(cmake/FindTAU.cmake)
+ENDIF(VITE_ENABLE_TAU)
 
 SUBDIRS(src)

=== plugins/Makefile ===
#
# Plugins Makefile for ViTE project
#

VITEDIR ?= ..

#include $(VITEDIR)/Makefile.in

VITEDIR  = /home/jazeix/Bureau/pfa/svn/trunk
DOCSDIR  = ./docs
QMAKECMD = qmake-qt4 -makefile -o Makefile
MAKECMD  = /usr/bin/make

PLUGINS = Distribution   \
	  TraceInfos

all: $(PLUGINS)
	@for i in $(PLUGINS) ;                       			\
	do 								\
		echo "--------  Plugin $${i}  --------";		\
		( cd $${i} && VITEDIR=$(VITEDIR) $(QMAKECMD) $${i}.pro);\
		( cd $${i} && VITEDIR=$(VITEDIR) $(MAKECMD) ); 		\
	done;

clean:
	@for i in $(PLUGINS) ;                       			\
	do 								\
	if test -e $${i}/Makefile; then					\
		cd $${i} && VITEDIR=$(VITEDIR) $(MAKE) clean;	 	\
	fi;								\
	done;

cleanall:	clean
#	@for i in $(PLUGINS) ;                       			\
	do 								\
		( cd $${i} && VITEDIR=$(VITEDIR) $(MAKE) cleanall );    \
	done;

distclean:	cleanall
#	@for i in $(PLUGINS) ;                       			\
	do 								\
		( cd $${i} && VITEDIR=$(VITEDIR) $(MAKE) distclean );   \
	done;

.PHONY : $(PLUGINS)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,9 +46,8 @@
   common/Message.hpp
   common/Errors.hpp
   common/Tools.hpp
-  common/info.hpp
+  common/Info.hpp
   common/Session.hpp
-  common/trace.h
   common/Memory.hpp
   # Data structure headers
   trace/values/Color.hpp
@@ -83,9 +82,11 @@
   trace/DrawTree.hpp
   trace/Trace.hpp
   # Render headers
+  render/Palette.hpp
   render/Render.hpp
   render/Geometry.hpp
   render/Hook_event.hpp
+  render/Minimap.hpp
   render/Render_opengl.hpp
   render/Render_svg.hpp
   render/render_stats.hpp
@@ -94,20 +95,22 @@
   render/Ruler.hpp
   # Interface headers
   interface/resource.hpp
-  interface/parsing_thread.hpp
   interface/Interface.hpp
+  interface/Settings_window.hpp
   interface/Interface_graphic.hpp
   # Core header
   core/Core.hpp
   # Parser headers
-  parser/Definition.hpp
-  parser/Line.hpp
+  parser/ParsingThread.hpp
   parser/Parser.hpp
+  parser/ParserFactory.hpp
+  # Paje 
+  parser/PajeDefinition.hpp
+  parser/PajeFileManager.hpp
   parser/ParserDefinitionPaje.hpp
   parser/ParserEventPaje.hpp
   parser/ParserPaje.hpp
   parser/ParserVite.hpp
-  parser/File.hpp
   # Statistics headers
   statistics/Stats_window.hpp
   statistics/Statistic.hpp
@@ -117,10 +120,13 @@
   statistics/DrawCounter.hpp
   # Plugin header
   plugin/Command_window.hpp
+  plugin/Plugin_window.hpp
+  plugin/Plugin.hpp
 )
 
 SET(VITE_UIS
   interface/info_window.ui
+  interface/settings.ui
   interface/main_window.ui
   interface/option_export_window.ui
   interface/stats_viewer.ui
@@ -133,7 +139,7 @@
   common/Message.cpp
   common/Errors.cpp
   common/Tools.cpp
-  common/info.cpp
+  common/Info.cpp
   common/Session.cpp
   common/Memory.cpp
   # Data structure code files
@@ -161,19 +167,23 @@
   trace/Container.cpp
   trace/Trace.cpp
   # Render code files
+  render/Palette.cpp
   render/Geometry.cpp
   render/Hook_event.cpp
   render/Render.hpp
+  render/Minimap.cpp
   render/Render_opengl.cpp
   render/Render_svg.cpp
   render/render_stats_opengl.cpp
   render/render_stats_svg.cpp
   render/Ruler.cpp
-
   # Parser code files
-  parser/Definition.cpp
-  parser/Line.cpp
-  parser/File.cpp
+  parser/Parser.cpp
+  parser/ParserFactory.cpp
+  parser/ParsingThread.cpp
+  # Paje Parser
+  parser/PajeDefinition.cpp
+  parser/PajeFileManager.cpp
   parser/ParserDefinitionPaje.cpp
   parser/ParserEventPaje.cpp
   parser/ParserPaje.cpp
@@ -182,10 +192,12 @@
   statistics/Statistic.cpp
   statistics/Stats_window.cpp
   # Interface code files
-  interface/parsing_thread.cpp
+  interface/Settings_window.cpp
   interface/Interface_graphic.cpp
   # Plugin code file
   plugin/Command_window.cpp
+  plugin/Plugin_window.cpp
+  plugin/Plugin.cpp
   # Core code files
   core/Core.cpp
   # Main
@@ -196,6 +208,26 @@
   interface/vite.qrc
   )
 
+#############################################
+#           QtColorPicker
+#############################################
+SET(QTCOLORPICKERDIR
+  ${PROJECT_SOURCE_DIR}/externals/qtcolorpicker/src
+  )
+
+SET(VITE_HDRS
+  ${VITE_HDRS}
+  ${QTCOLORPICKERDIR}/qtcolorpicker.h
+  )
+
+SET(VITE_SRCS
+  ${VITE_SRCS}
+  ${QTCOLORPICKERDIR}/qtcolorpicker.cpp
+  )
+
+#############################################
+#                VBO
+#############################################
 IF(VITE_ENABLE_VBO)
   ADD_DEFINITIONS(-DWITH_VBO)
 
@@ -212,8 +244,9 @@
     )  
 ENDIF(VITE_ENABLE_VBO)
 
-
-
+#############################################
+#              OTF Parser
+#############################################
 IF(VITE_ENABLE_OTF)
   ADD_DEFINITIONS(-DWITH_OTF)
 
@@ -235,8 +268,33 @@
 
 ENDIF(VITE_ENABLE_OTF)
 
-# ADD_DEFINITIONS(-DMEMORY_USAGE -DMEMORY_TRACE)
-
+#############################################
+#              TAU Parser
+#############################################
+IF(VITE_ENABLE_TAU)
+  ADD_DEFINITIONS(-DWITH_TAU)
+
+  SET(VITE_HDRS
+    ${VITE_HDRS}
+    parser/ParserTau.hpp
+    parser/TauStructs.hpp
+    )
+
+  SET(VITE_SRCS
+    ${VITE_SRCS}
+    parser/ParserTau.cpp
+    )
+
+  INCLUDE_DIRECTORIES(${TAU_INCLUDE_DIR})
+
+ENDIF(VITE_ENABLE_TAU)
+
+#ADD_DEFINITIONS(-DMEMORY_USAGE)
+#ADD_DEFINITIONS(-DMEMORY_TRACE)
+
+#############################################
+#              QT4
+#############################################
 QT4_AUTOMOC(${VITE_SRCS})
 FOREACH(_hdrs_file ${VITE_HDRS})
   GET_FILENAME_COMPONENT(_abs_file ${_hdrs_file} ABSOLUTE)
@@ -253,9 +311,12 @@
 
 ADD_DEFINITIONS(-DQT_NO_DEBUG)
 
+#############################################
+
 INCLUDE_DIRECTORIES(
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
+  ${QTCOLORPICKERDIR}
 )
 
 ADD_EXECUTABLE(vite ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
@@ -276,4 +337,10 @@
     )
 ENDIF(VITE_ENABLE_OTF)
 
+IF(VITE_ENABLE_TAU)
+  TARGET_LINK_LIBRARIES(vite
+    ${TAU_LIBRARY}
+    )
+ENDIF(VITE_ENABLE_TAU)
+
 INSTALL_TARGETS(/bin vite)

=== debian/changelog ===
vite (1.2-3) unstable; urgency=low

  * rules: Replace rules with mere dh.
  * control: Build-depend on debhelper >= 7.0.50 to get dh.
  * source/format: Switch to 3.0 (quilt) format.
  * patches/gold-fix.diff: Fix link failure with gold.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Feb 2011 18:06:54 +0100

vite (1.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Feb 2011 04:42:42 +0100

vite (1.2-1) experimental; urgency=low

  * New upstream release
  - format: Improve OTF support.
  - performance: Reduce the time to parse a file.
  - improvement: Minimap, plugin interface, recent file menu.
  * debian/copyright: Extend ViTE developers' copyright to 2010. Add copyright
    information for qtcolorpicker and tau.
  * debian/docs: Rename documentation to docs.
  * debian/rules: Likewise.
  * debian/rules: Drop --enable_otf (now enabled by default).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Sep 2010 20:45:05 +0200

vite (1.1-3) unstable; urgency=low

  * debian/rules: Run ./configure through bash instead of sh.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Aug 2010 00:56:44 +0200

vite (1.1-2) unstable; urgency=low

  * debian/control:
    - Bump libqt4-dev build-dep version to >= 4:4.6, as previous versions get
    random crashes with newer X servers.
    - Bump Standards-Version to 3.9.1 (no change needed).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Aug 2010 21:39:11 +0200

vite (1.1-1) unstable; urgency=low

  New upstream release
  * format: Add partial OTF support.
  * performance: Reduce the time to parse a file.
  * improvement: More exports available (png, jpeg and counter in raw format).
  * Closes: Bug#565045.

  * control: Add ${misc:Depends}.
  * debian/control: Bump Standards-Version to 3.8.4 (no change needed).
  * debian/copyright: Fix the copyright sign.
  * debian/control: Remove the freeglut3-dev build-depend, add the zlib1g-dev.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Feb 2010 23:27:00 +0100

vite (1.0+svn834-5) unstable; urgency=low

  * src/general/Tools.hpp: Add #include <cstdio> to fix FTBFS with gcc-4.4
    (Closes: Bug#547331).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Sep 2009 23:52:56 +0200

vite (1.0+svn834-4) unstable; urgency=low

  * control: Really replace freeglut-dev Build-dependency with freeglut3-dev
    (Closes: Bug#545641).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Sep 2009 02:23:35 +0200

vite (1.0+svn834-3) unstable; urgency=low

  * control: Replace freeglut-dev Build-dependency with freeglut3-dev, as the
    former is not provided by the latter any more (Closes: Bug#545641).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Sep 2009 13:51:03 +0200

vite (1.0+svn834-2) unstable; urgency=low

  * Drop texlive-lang-french dependency.
  * Bump Standards-Version to 3.8.3 (no change needed).
  * control:
    - Add Multi-Arch: foreign header.
    - Fix typo in description (Closes: #543490).
    - Replace libglut3-dev Build-dependency with freeglut-dev (Closes: #543705).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Aug 2009 17:27:12 +0200

vite (1.0+svn834-1) unstable; urgency=low

  * Initial release. (Closes: #533414)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Aug 2009 21:48:49 +0200

=== debian/control ===
Source: vite
Section: devel
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 libqt4-dev (>= 4:4.6), libqt4-opengl, libqt4-opengl-dev,
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
 texlive-fonts-recommended,
 ghostscript, zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://vite.gforge.inria.fr/
Vcs-Browser: http://gforge.inria.fr/plugins/scmsvn/viewcvs.php/package/?root=vite
Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/package

Package: vite
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Efficient visual trace explorer
 ViTE is a powerful portable and open source profiling tool to visualize
 the behaviour of parallel applications. Thanks to its scalable design,
 ViTE helps programmers to efficiently analyze the performance of
 potentially large applications.
 .
 ViTE currently enables the visualisation of traces using the Pajé format
 (open format, see http://www-id.imag.fr/Logiciels/paje/) and has various
 functionalities such as exporting a view in a svg format to integrate
 the results easily in a report, or viewing statistics.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	/bin/bash ./configure

override_dh_auto_build:
	$(MAKE) all
	$(MAKE) -C docs/user_manual
	$(MAKE) -C docs/technical_manual

override_dh_auto_install:

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean DOCUMENTATION=docs
	[ ! -f externals/otf/Makefile ] || $(MAKE) -C externals/otf/ distclean
	dh_auto_clean
	-rm -f config.log
	-rm -f Makefile.in
	-rm -f docs/user_manual/user_manual.bbl
	-rm -f docs/user_manual/user_manual.blg

## vite 1.2%2Bsvn1430

=== plugins/CMakeLists.txt ===
#
# 
#

### ViTE optional plugins
option(VITE_PLUGINS_DISTRIBUTIONS
  "Enable the distribution plugin." OFF)
option(VITE_PLUGINS_TRACEINFOS
  "Enable the TraceInfos plugin." OFF)

include_directories(${CMAKE_SOURCE_DIR}/src)

if( VITE_PLUGINS_DISTRIBUTIONS )
  add_subdirectory(Distribution)
endif( VITE_PLUGINS_DISTRIBUTIONS )

if( VITE_PLUGINS_TRACEINFOS )
  add_subdirectory(TraceInfos)
endif( VITE_PLUGINS_TRACEINFOS )

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7.0.50),
- libqt4-dev (>= 4:4.6), libqt4-opengl, libqt4-opengl-dev,
+Build-Depends: debhelper (>= 9.0.0),
+ cmake,
+ qttools5-dev, libqt5opengl5-desktop-dev,
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
+ libotf-trace-dev,
  texlive-fonts-recommended,
  ghostscript, zlib1g-dev
-Standards-Version: 3.9.1
+Standards-Version: 4.0.1
 Homepage: http://vite.gforge.inria.fr/
-Vcs-Browser: http://gforge.inria.fr/plugins/scmsvn/viewcvs.php/package/?root=vite
-Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/package
+Vcs-Browser: http://gforge.inria.fr/scm/browser.php?group_id=1596
+Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/tools/package
 
 Package: vite
 Architecture: any

## vite 1.2%2Bsvn%2Bgit4.c6c0ce7

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper-compat (= 12),
  cmake,
- qttools5-dev, libqt5opengl5-desktop-dev,
+ qttools5-dev,
+ libqt5opengl5-desktop-dev, libqt5charts5-dev, libqt5svg5-dev,
+ libglm-dev, libglew-dev,
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  libotf-trace-dev,
  texlive-fonts-recommended,
  ghostscript, zlib1g-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.5.0
 Homepage: http://vite.gforge.inria.fr/
-Vcs-Browser: http://gforge.inria.fr/scm/browser.php?group_id=1596
-Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/tools/package
+Vcs-Browser: https://salsa.debian.org/debian/vite
+Vcs-Git: https://salsa.debian.org/debian/vite.git
 
 Package: vite
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = reproducible=+fixfilepath

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DVITE_ENABLE_OTF=ON \
		-DVITE_ENABLE_MT_PARSERS=ON \
		-DVITE_ENABLE_VBO=OFF \
		-DUSE_QT5=ON

override_dh_auto_build:
	dh_auto_build
	FORCE_SOURCE_DATE=1 $(MAKE) -C docs/user_manual
	FORCE_SOURCE_DATE=1 $(MAKE) -C docs/technical_manual

override_dh_auto_clean:
	$(MAKE) -C docs/user_manual clean
	$(MAKE) -C docs/technical_manual clean
	dh_auto_clean
